summaryrefslogtreecommitdiffstats
path: root/apt/bin/apt-install
diff options
context:
space:
mode:
Diffstat (limited to 'apt/bin/apt-install')
-rwxr-xr-xapt/bin/apt-install68
1 files changed, 68 insertions, 0 deletions
diff --git a/apt/bin/apt-install b/apt/bin/apt-install
new file mode 100755
index 0000000..2427361
--- /dev/null
+++ b/apt/bin/apt-install
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+PROGRAM="$(basename "${0}")"
+OPTIONS="${*}"
+
+Usage ()
+{
+ echo "Usage: ${PROGRAM} PACKAGE" >&2
+ echo "Usage: ${PROGRAM} PACKAGE1 PACKAGE2 ..." >&2
+ echo
+ echo "See ${PROGRAM}(1) for more information."
+
+ exit 1
+}
+
+if [ -z "${OPTIONS}" ]
+then
+ Usage
+fi
+
+for OPTION in ${OPTIONS}
+do
+ case "${OPTION}" in
+ -*)
+ # abort if options are trying to be used
+ Usage
+ ;;
+
+ /*)
+ # abort if local deb files are trying to be installed
+ Usage
+ ;;
+
+ .*)
+ # abort if local deb files are trying to be installed
+ echo "Debug: ."
+ Usage
+ ;;
+ esac
+done
+
+# ignore local apt configuration files
+APT_CONFIG=""
+export APT_CONFIG
+
+apt update
+apt install "${OPTIONS}"